--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Sends an SNMPv2c style trap.
- !ruby/struct:SM::Flow::P 
  body: "sys_up_time: An integer respresenting the number of hundredths of a second that this system has been up."
- !ruby/struct:SM::Flow::P 
  body: "trap_oid: An ObjectId or String with the OID identifier for this trap."
- !ruby/struct:SM::Flow::P 
  body: "object_list: A list of additional varbinds to send with the trap."
full_name: SNMP::Manager#trap_v2
is_singleton: false
name: trap_v2
params: (sys_up_time, trap_oid, object_list=[])
visibility: public
